SCRIPT(1)()

NAZWA
script - tworzy maszynopis sesji

SKŁADNIA
script [-a] [-c polecenie] [-e] [-f] [-q] [-t[=plik]] [-V] [-h] [plik]

OPIS
Script tworzy maszynopis wszystkiego, co zostało wypisane na danym terminalu. Jest to przydatne dla studentów, którzy potrzebują wydruk zapisu interakcyjnej sesji jako dowód na wykonanie wyznaczonego zadania. Maszynopis ten może być wydrukowany później za pomocą lpr(1).

Jeżeli argument plik jest podany, script zapisuje cały dialog w pliku. Jeżeli nie zostanie podana nazwa pliku, wówczas maszynopis jest zapisany w pliku typescript.

Opcje:

-a, - -append
    Dołącza wyjście do pliku albo typescript, zachowując uprzednią zawartość.

-c, - -polecenie polecenie
    Uruchamia polecenie zamiast powłoki interaktywnej. Dzięki temu można łatwiej przechwycić wyjście programu zachowującego się inaczej, gdy jego standardowym wyjściem nie jest terminal.

-e, - -return
    Zwraca kod zakończenia procesu potomnego. Używa tego samego formatu jak kod zakończenia basha, przy przerwaniu kod zakończenia wynosi 128+n.

-f, - -flush
    Opróżnia wyjście po każdym zapisie. Jest to użyteczne w przypadku współpracy kilku osób: pierwsza wykonuje "mkfifo foo; script -f foo", a druga w czasie rzeczywistym nadzoruje jej poczynania, używając "cat foo".

- -force
    Zezwala, aby domyślne położenie wyjściowe (plik maszynopisu) był dowiązaniem zwykłym (twardym) lub symbolicznym. Polecenie podąży za dowiązaniem symbolicznym.

-q, - -quiet
    Tryb cichy.

-t, - -timing[=plik]
    Wypisuje na standardowe wyjście błędów (lub do podanego pliku) informacje o czasie. Dane te składają się z dwóch pól rozdzielonych spacją. Pierwsze pole zawiera informację, jak dużo czasu upłynęło od poprzedniego wyjścia. Drugie pole określa, ile znaków zostało wypisanych tym razem. Informacja ta może zostać użyta do powtórzenia zapisanego skryptu, tak jak rzeczywiście był wprowadzany.

-V, - -version
    Wyświetla informacje o wersji i wychodzi.

-h, - -help
    Wyświetla pomoc i wychodzi.

Skrypt kończy się gdy wyjdzie się z rozwidlonej powłoki. W powłoce Bourne'a (sh(1) za pomocą control-D albo w przypadku powłoki C csh(1) korzystając z exit, logout lub control-d (jeżeli ignoreeof nie jest ustawiona).

Pewne interakcyjne komendy, takie jak vi(1), tworzą śmieci w pliku maszynopisu Script działa najlepiej z komendami, które nie manipulują obrazem, rezultaty są słabsze od naśladowanego wydruku terminala.

ŚRODOWISKO
Następująca zmienna środowiskowa jest wykorzystywana przez script:

SHELL
    Jeżeli zmienna SHELL istnieje, powłoka rozwidlona przez script będzie tą powłoką. Jeżeli SHELL nie jest ustawiona, wówczas przybierana jest powłoka Bourne (większość powłok ustawia tę zmienną automatycznie).

ZOBACZ TAKŻE
csh(1) (aby przeczytać o mechanizmie historii), scriptreplay(1).

HISTORIA
Polecenie script pojawiło się w 3.0BSD.

BŁĘDY
Script umieszcza w pliku z logami wszystko, wliczając znaki wysuwu wiersza i znaki cofania się (backspace). To nie jest to, czego mógłby spodziewać się niedoświadczony użytkownik.

DOSTĘPNOŚĆ
Polecenie script jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Tomasz Wendlandt (PTM) <juggler@box.cp.com.pl>, Robert Luberda (PTM) <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.
Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.